cloudstack-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Keerthiraja SJ <sjkeer...@gmail.com>
Subject Re: Cloudstack 4.5.2 startup ERROR
Date Fri, 11 Sep 2015 09:42:41 GMT
ERROR [c.c.u.d.ScriptRunner] (main:null) Error executing: UPDATE
`cloud`.`configuration` SET value = CONCAT("*.",(SELECT `temptable`.`value`
FROM (SELECT * FROM `cloud`.`configuration` WHERE
`name`="consoleproxy.url.domain") AS `temptable` WHERE
`temptable`.`name`="consoleproxy.url.domain")) WHERE
`name`="consoleproxy.url.domain"
ERROR [c.c.u.d.ScriptRunner] (main:null)
com.mysql.jdbc.exceptions.jdbc4.CommunicationsException: Communications
link failure

The last packet successfully received from the server was 63 milliseconds
ago.  The last packet sent successfully to the server was 63 milliseconds
ago.
ERROR [c.c.u.DatabaseUpgradeChecker] (main:null) Unable to execute upgrade
script: /usr/share/cloudstack-management/setup/db/schema-421to430.sql
com.mysql.jdbc.exceptions.jdbc4.CommunicationsException: Communications
link failure


ERROR [c.c.u.DatabaseUpgradeChecker] (main:null) Unable to upgrade the
database

On Fri, Sep 11, 2015 at 2:46 PM, Keerthiraja SJ <sjkeerthi@gmail.com> wrote:

> Hi All,
>
> After successfully installation I could while starting the
> cloudstack-management ther seems to some error while connecting to my
> database.
>
> I am right now into production setup.
>
> ERROR [c.c.u.DatabaseUpgradeChecker] (main:null) Unable to upgrade the
> database
> com.cloud.utils.exception.CloudRuntimeException: Unable to execute upgrade
> script: /usr/share/cloudstack-management/setup/db/schema-40to410.sql
>
> ERROR [c.c.u.d.ScriptRunner] (main:null) Error executing: alter table
> vm_template add size bigint unsigned
> ERROR [c.c.u.d.ScriptRunner] (main:null)
> com.mysql.jdbc.exceptions.jdbc4.MySQLSyntaxErrorException: Duplicate column
> name 'size'
> ERROR [c.c.u.DatabaseUpgradeChecker] (main:null) Unable to execute upgrade
> script: /usr/share/cloudstack-management/setup/db/schema-40to410.sql
>
>
> The Version of the MYSQL
>
> MariaDB-server-10.1.7-1.el6.x86_64
> MariaDB-common-10.1.7-1.el6.x86_64
> MariaDB-client-10.1.7-1.el6.x86_64
>
> If this is not the right version MARIADB then what version should I have
> to install.
>
> Thanks,
> Keerthi
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message